Win a copy of Java Concurrency Live Lessons this week in the Threads forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

Http1.1  RSS feed

 
Yi Si
Ranch Hand
Posts: 54
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I want to use java client to communicate with server on which only http1.1 be supported.But I haven't idea, Can anybody provide any suggest or open source reference implement.
 
Stan James
(instanceof Sidekick)
Ranch Hand
Posts: 8791
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Look into the Apache HTTPClient package. I don't know if it says anything about HTTP version compatibility. You may just have to be careful to not use any post 1.1 features.
 
Yi Si
Ranch Hand
Posts: 54
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks you for suggustion.
I think it's my need.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!